/* Din fisierul de intrare se citeste n (n < 10000), apoi inca n numere 
 * naturale a[i], cu  0 <= a[i] <= 10000
 * 
 * Sa se afiseze in ordine crescatoare toate numerele distincte care
 * exista in fisier 
 * 
 * Ex:
 * sir.in
   7
   2 6 2 3 6 8 5
 
   sir.out
   2 3 5 6 8	 
    	
 */ 

#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;


ifstream fin("sir2.in");
ofstream fout("sir2.out");


/* Metoda: se declara un alt sir ok, cu valori booleene (true, false)
 * cu urmatoarea semnificatie: ok[x] = true, daca x exista in sirul a[]
 * si ok[x] = false, daca x nu exista in sirul a[]
 */ 
 
// Valori:           2    6    2    3    6    8    5
// Variabile: a[0] a[1] a[2] a[3] a[4] a[5] a[6] a[7]

// sirul caracteristic ok:
//    0     0     t     t     0     t     t    0      t     0       0
// ok[0] ok[1] ok[2] ok[3] ok[4] ok[5] ok[6] ok[7] ok[8] ok[9]...ok[10000]

int main()
{
	// Optimizare
	int x, n;
	int vmin = 10001; // cea mai mica valoare din fisier
	int vmax = -1;    // cea mai mare valoare din fisier
	
	// Declaram un Sir Caracteristic
	bool ok[10001] = {false};
	
	// citirea sirului
	fin >> n;
	for (int i = 1; i <= n; ++i)
	{
		fin >> x;
		ok[x] = true;
		if (x > vmax)
			vmax = x;
		if (x < vmin)
			vmin = x;
	}
		
	// parcurgem sirul caracteristic ok[]
	for (int x = vmin; x <= vmax; ++x)
		if (ok[x])
			fout << x << ' ';
			
	return 0;
} 
