/* Din fisierul de intrare se citeste n (n < 10000), apoi inca n numere 
 * naturale a[i], cu  0 <= a[i] <= 1000
 * 
 * Sa se afiseze in ordine crescatoare toate numerele distincte care
 * apar in fisier si frecventele lor de aparitie
 * 
 * Ex:
 * sir3.in
   11
   8 6 1 6 1 3 8 6 6 1 3
 
   sir3.out
   1 3
   3 2
   6 4
   8 2	
 */ 

#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;


ifstream fin("sir3.in");
ofstream fout("sir3.out");


/* Metoda: se declara un sir de frecvente (de contoare) fr, cu valori intregi
 * cu urmatoarea semnificatie: fr[x] = numarul de aparitii a valorii x in fisier
 */ 
 
// Valori:           8    6    1    6    1    3   8     6    6     1    3
// Variabile: a[0] a[1] a[2] a[3] a[4] a[5] a[6] a[7] a[8] a[9] a[10] a[11]

// sirul de frecvente (de contoare)fr:
//    0     3     0     2     0      0    3    0     2     1       0
// fr[0] fr[1] fr[2] fr[3] fr[4] fr[5] fr[6] fr[7] fr[8] fr[9]...fr[1000]

int main()
{
	int x, n;
	int vmin = 1001; // cea mai mica valoare din fisier
	int vmax = -1;    // cea mai mare valoare din fisier
	
	// Declaram un Sir de Frecvente (de Contoare)
	int fr[1001] = {0};
	
	// citirea sirului
	fin >> n;
	for (int i = 1; i <= n; ++i)
	{
		fin >> x;
		fr[x]++;
		
		vmin = min(vmin, x);
		vmax = max(vmax, x);
	}
		
	// parcurgem sirul caracteristic ok[]
	for (int x = vmin; x <= vmax; ++x)
		if (fr[x] != 0)
			fout << x << ' ' << fr[x] << '\n';
			
	return 0;
} 
